#include <bits/stdc++.h>
using namespace std;

int main()
{
    std::ios_base::sync_with_stdio(false);
    int n; cin >> n;
    vector<int> niz;
    for(int i = 0; i < n; i++){
        int a; cin >> a;
        niz.push_back(a);}
        
    int q; cin >> q;
    vector<string> res;
    for(int i = 0; i < q; i++){
        int l, d; 
        cin >> l >> d;
        l--; 
        d--;
        int br = 0; //broj vecih prethodnika u tom podnizu
        int poz; //pozicija koja ce da treba ako ima samo veci
        
        for (int j = l; j < d; j++){
            if (niz[j] > niz[j+1]){ 
                br++;
                poz = j;}}
        
        if (br > 1) res.push_back("NE");
        else if (br == 0) res.push_back("DA");
        else {
            if ((niz[poz-1] <= niz[poz+1]) || (poz == 0)) res.push_back("DA");
            else res.push_back("NE");}
            
    }
    for(int i = 0; i < q; i++)
        cout << res[i] << endl;
    
    return 0;
}